---
title: TreeWalker.root
slug: Web/API/TreeWalker/root
tags:
  - API
  - DOM
  - Property
  - TreeWalker
---
<p>{{ APIRef("DOM") }}</p>

<p>The <code><strong>TreeWalker.root</strong></code> read-only property returns the node that is the root of what the TreeWalker traverses.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>root</em> = TreeWalker.root;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var treeWalker = document.createTreeWalker(
    document.body,
    NodeFilter.SHOW_ELEMENT,
    { acceptNode: function(node) { return NodeFilter.FILTER_ACCEPT; } },
    false
);
root = treeWalker.root; // document.body in this case
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-treewalker-root', 'TreeWalker.root')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change from {{SpecName('DOM2 Traversal_Range')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'traversal.html#Traversal-TreeWalker-root', 'TreeWalker.root')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TreeWalker.root")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("TreeWalker")}} interface.</li>
</ul>
